%define objprelink 1

Name: qvcd
Version: 0.11
Release: alt1
Summary: To create and grab a vcd disks
License: GPL
Group: Video
URL: http://qvcd.sourceforge.net

Source0: %name-%version.tar.bz2
Source1: %name-icons.tar.bz2

# Automatically added by buildreq on Sat Oct 26 2002
%if %objprelink
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel libXft libcups libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel objprelink zlib-devel
%else
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel libXft libcups libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel zlib-devel
%endif

%description
VCD creater and grabber

%prep
%setup -q -n %name-%version

%build
export QTDIR=%_libdir/qt3

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:/usr/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
./configure \
	--prefix=%_prefix \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

# icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar xjf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

# doc
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%name
cp $RPM_BUILD_ROOT/usr/doc/%name/* $RPM_BUILD_ROOT%_datadir/doc/%name

# menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="QVCD Creater" \
longtitle="QVCD creater and grabber" \
needs="x11" \
icon="lo32-app-%name.png" \
section="Multimedia/Video"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc COPYING README INSTALL ChangeLog
%dir %_datadir/doc/%name
%_datadir/doc/%name/*
%_bindir/*
%_menudir/*
%_iconsdir/*

%changelog
* Sat Oct 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.11-alt1
- 0.11

- specfile cleanup
